Loading...
Searching...
No Matches
EST_Item_Content Class Reference

`#include <include/ling_class/EST_Item_Content.h>`

Collaboration diagram for EST_Item_Content:
[legend]

## Constructor Functions

EST_Features | f
| General features for this item.
EST_TKVL< EST_String, EST_Val > | relations
ostream & | operator<< (ostream &s, const EST_Item_Content &a)
| EST_Item_Content ()
| Default constructor.
| EST_Item_Content (const EST_Item_Content &content)
| Copy constructor.
| ~EST_Item_Content ()
| destructor
const EST_String | name () const
void | set_name (const EST_String &s)
| set name
EST_Item_Content & | operator= (const EST_Item_Content &a)

## Relation related member functions

class | EST_Item
EST_Item * | Relation (const char *name)
int | in_relation (const EST_String &name) const
int | unref_relation (const EST_String &relname)
int | unref_and_delete ()

## Detailed Description

A class for containing individual linguistic features and references to relations.

This class contents the potentially shared part of an \Ref{EST_Item}. It contains a list of features allowing string names to be related to string, floats, ints and arbitrary objects. It also contains a reference list to the \Ref{EST_Item}s indexed by the relation names.

This class should not normally be accessed by anyone other than the \Ref{EST_Item}.

Definition at line 67 of file EST_Item_Content.h.

## Constructor & Destructor Documentation

## EST_Item_Content() [1/2]

EST_Item_Content::EST_Item_Content | ( |  | ) |

inline

Default constructor.

Definition at line 75 of file EST_Item_Content.h.

## EST_Item_Content() [2/2]

EST_Item_Content::EST_Item_Content | ( | const EST_Item_Content & | content | ) |

inline

Copy constructor.

Definition at line 77 of file EST_Item_Content.h.

## ~EST_Item_Content()

EST_Item_Content::~EST_Item_Content | ( |  | ) |

destructor

Definition at line 54 of file EST_Item_Content.cc.

## Member Function Documentation

## name()

const EST_String EST_Item_Content::name | ( |  | ) | const

inline

return the name of the item, e.g. the name of the phone or the text of the word

Definition at line 90 of file EST_Item_Content.h.

## set_name()

void EST_Item_Content::set_name | ( | const EST_String & | s | ) |

inline

set name

Definition at line 93 of file EST_Item_Content.h.

## operator=()

EST_Item_Content & EST_Item_Content::operator= | ( | const EST_Item_Content & | a | ) |

Definition at line 102 of file EST_Item_Content.cc.

## Relation()

EST_Item * EST_Item_Content::Relation | ( | const char * | name | ) |

inline

Definition at line 104 of file EST_Item_Content.h.

## in_relation()

int EST_Item_Content::in_relation | ( | const EST_String & | name | ) | const

inline

Definition at line 110 of file EST_Item_Content.h.

## unref_relation()

int EST_Item_Content::unref_relation | ( | const EST_String & | relname | ) |

Definition at line 62 of file EST_Item_Content.cc.

## unref_and_delete()

int EST_Item_Content::unref_and_delete | ( |  | ) |

Definition at line 85 of file EST_Item_Content.cc.

## Friends And Related Symbol Documentation

## EST_Item

friend class EST_Item

friend

Definition at line 118 of file EST_Item_Content.h.

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | const EST_Item_Content & | a )

friend

Definition at line 108 of file EST_Item_Content.cc.

## Member Data Documentation

## f

EST_Features EST_Item_Content::f

General features for this item.

Definition at line 83 of file EST_Item_Content.h.

## relations

EST_TKVL<EST_String, EST_Val> EST_Item_Content::relations

Definition at line 96 of file EST_Item_Content.h.

The documentation for this class was generated from the following files:

- include/ling_class/EST_Item_Content.h
- ling_class/EST_Item_Content.cc